#include <stdio.h>

/* restituisce il massimo comun divisore di a e b, calcolato con l'algoritmo di Euclide */
unsigned gcd(unsigned a, unsigned b)
{
	unsigned t;

	while(b) {
		t = b;
		b = a % b;
		a = t;
	}
	return a;
}

/* restituisce il minimo comune multiplo di a e b */
unsigned lcm(unsigned a, unsigned b)
{
	return a * (b / gcd(a,b));	
}

int main(void)
{
	int n1, n2;

	printf("Immetti due numeri:\n");
	scanf("%d %d",&n1,&n2);
	
	printf("Il massimo comun divisore di %d e %d e' %d\n",n1,n2,gcd(n1,n2));
	printf("Il minimo comune multiplo di %d e %d e' %d\n",n1,n2,lcm(n1,n2));
	
	return 0;
}
